/*Programa que pide palabras.
Acaba con la palabra'FIN'.
Nos dice que cuántos caracteres tiene la palabra de mayor longitud.
NOTA: Confiamos que el usuario introduce cada vez una sola palabra.*/


#include<stdio.h>
#include<string.h>
#include<conio.h>

#define M 20

void main (void)
{	
	
	char palabra[M],fin[]="fin";
	int i=0,j,maxcara=0,numcara;
	
	clrscr();
	
	printf("Vaya introduciendo palabras por teclado, y para acabar introduzca la palabra fin");
	do
	{
		printf("\nTeclee una palabra por teclado: ");
		scanf("%s",palabra);
		numcara=strlen(palabra);
		if(numcara>=maxcara)
		{
			maxcara=numcara;
		}
		if(!strcmp(palabra,fin))
			{
				i=1;
				printf("\nLa longitud mayor de las palabras introducidas es: %d",maxcara);
				getch();
			}
	}while(!i);
}